# services

val services: List<BadIPDetectionService>
Content copied to clipboard

## Parameters

services

A list of BadIPDetectionServices. The order matters!

Available services:

- net.axay.kspigot.ipaddress.badipdetectionservices.IPInfo (recommended, but requires login)

- net.axay.kspigot.ipaddress.badipdetectionservices.GetIPIntel

- net.axay.kspigot.ipaddress.badipdetectionservices.IPHub

- net.axay.kspigot.ipaddress.badipdetectionservices.VPNBlocker